/*      CAP message interface head file         */
/*      Written by Liu Zhiguo 2003-08-26        */
/*      Version 1.0                                                     */
/*      --------------------------------        */

#ifndef _CAP_INTERFACE
#define _CAP_INTERFACE

#include "cap_head.h"
#include "cap_msg.h"

int  encode_capmsg(struct CapArg caparg, u8 * msgbuf, u16 maxlen);

#ifdef _SRF_RELEVANT
int  decode_capmsg(char *msgbuf, u16 msglen, u8 ocode, u8 otype, struct CapArg *pcaparg);
#else
int  decode_capmsg(char *msgbuf, u16 msglen, u8 ocode, struct CapArg *pcaparg);
#endif

#endif
